# Package groovy.json

- Class Summary
  Class | Description
  --- | ---
  JsonLexer | The lexer reads JSON tokens in a streaming fashion from the underlying reader.
  JsonSlurper | JSON slurper which parses text or reader content into a data structure of lists and maps.
  JsonToken | A JSON token, with a type, line / column information, and the text of that token.
  StringEscapeUtils | Escapes and unescapes `String`s for Java, Java Script, HTML, XML, and SQL.

- Enum Summary
  Enum | Description
  --- | ---
  JsonTokenType | Enum listing all the possible JSON tokens that should be recognized by the lexer.

- Exception Summary
  Exception | Description
  --- | ---
  JsonException | `JsonException` is the exception thrown by the JSON builder and slurper classes, whenever a problem occurs when creating or parsing JSON data structures.